Name:           winwrangler
Version:        0.2.4
Release:        7%{?dist}
Summary:        Small desktop daemon to perform advanced window manipulations

Group:          System Environment/Daemons
License:        GPLv3
URL:            https://launchpad.net/winwrangler
Source0:        http://launchpad.net/winwrangler/0.2/%{version}/+download/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgtkhotkey-devel >= 0.2.1, gettext, desktop-file-utils, intltool
BuildRequires:  libwnck-devel, gtk2-devel

%description
Small desktop daemon to perform advanced window manipulations

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
#desktop-file-install --dir=%{buildroot}%{_sysconfdir}/xdg/autostart %{SOURCE1}

# Remove the docs installed by the package itself. Docs will be handled by the rpm %doc directive
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/winwrangler

%clean
rm -rf $RPM_BUILD_ROOT

# ScriptletSnippet from Fedora Packaging on Icon Cache
%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING HACKING NEWS README
%{_bindir}/winwrangler
%{_datadir}/winwrangler
%{_datadir}/icons/hicolor/*/*/winwrangler.*
%{_datadir}/applications/%{name}.desktop
#%config %{_sysconfdir}/xdg/autostart/%{name}.desktop


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.2.4-3
- Rebuild for new libpng

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Oct  4 2009 Mads Villadsen <maxx@krakoa.dk> - 0.2.4-1
- Update to version 0.2.4 (adds spatial window switching)

* Fri Oct  2 2009 Mads Villadsen <maxx@krakoa.dk> - 0.2.3-4
- Updated BuildRequires

* Sun Sep 27 2009 Mads Villadsen <maxx@krakoa.dk> - 0.2.3-3
- Let rpm handle doc installation to get properly versioned doc dir

* Sat Sep 26 2009 Mads Villadsen <maxx@krakoa.dk> - 0.2.3-2
- Add intltool to BuildRequires

* Tue Sep 22 2009 Mads Villadsen <maxx@krakoa.dk> - 0.2.3-1
- Initial packaging

